CALIBRE-SERVER(1)

NAME
calibre-server - calibre-server

            calibre-server [options] [path to library folder ...]

Inicie o servidor de conteúdo calibre. O servidor de conteúdo do calibre apresenta sua biblioteca calibre na internet. Você pode especificar o caminho para as pastas da biblioteca com os argumentos para calibre-server. Se você não especificar algum caminho, todas as bibliotecas do programa calibre principal conhecidas serão usadas..

Sempre que você for passar argumentos para calibre-server que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

[OPÇÕES]

    --access-log
        Caminho para o arquivo de registro de acessos. Este registro contém informações sobre os clientes que se conectam e fazem requisições. Por padrão nenhum registro de acesso é feito.

    --ajax-timeout
        Tempo (em segundos) para esperar uma resposta do servidor quando rodando pesquisas.

    --auth-mode
        Escolha o tipo de autenticação usada. Define o modo de autenticação HTTP usado pelo servidor. Defina como "basic" se usar o servidor por meio de um proxy SSL. Senão, deixe como "auto", que usará "basic" se o SSL estiver configurado, ou "digest" se não estiver configurado.

    --auto-reload
        Recarregar o servidor automaticamente quando houver mudanças no código fonte. Útil para desenvolvimento. Você também deve especificar um valor mínimo para o tempo de reinicio do servidor.

    --ban-after
        Número de falhas de login para banimento. O número de falhas de login depois que um endereço IP é banido

    --ban-for
        Banir endereços IP que tem falhas de logins repetidas. Proíbe temporariamente o acesso a endereços IP que tenham falhas de login repetidas pelo número de minutos especificado. Útil para evitar tentativas de adivinhar senhas. Se definido como zero, nenhum banimento é feito.

    --book-list-mode
        Escolha o modo de lista de livros padrão. Define o modo de lista de livros padrão que será utilizado para novos usuários. Usuários individuais podem sobrescrever o padrão em suas próprias configurações. O padrão é utilizar uma grade de capas.

    --compress-min-size
        Tamanho mínimo para que resposta utilize compressão de dados (em bytes).

    --custom-list-template
        Caminho para um arquivo JSON contendo um modelo para o modo de lista de livros personalizados. A maneira mais fácil de criar esse arquivo de modelo é ir para Preferências-> Compartilhamento pela rede-> Modelo de lista de livros em calibre, criar o modelo e exportá-lo.

    --daemonize
        Rodar o processo em segundo plano como um daemon. (Linux somente)

    --displayed-fields
        Somente exibir campos definidos pelo usuário. Lista separada por vírgulas de campos de metadados definidos pelo usuário que serão exibidos pelo servidor de conteúdo nas exibições /opds e /mobile. Se você definir esta opção, quaisquer campos que não estiverem nessa lista não serão exibidos. Por exemplo: my_rating,my_tags

    --enable-allow-socket-preallocation, --disable-allow-socket-preallocation
        Pré-alocação do soquete, por exemplo, com ativação do soquete systemd. Por padrão, esta opção está habilitada

    --enable-auth, --disable-auth
        Autenticação baseada em senha para acessar o servidor. Por padrão o servidor é irrestrito, permitindo qualquer pessoa acessá-lo. Você pode restringir o acesso a usuários pré-definidos com esta opção. Por padrão, esta opção está desabilitada

    --enable-fallback-to-detected-interface, --disable-fallback-to-detected-interface
        Fallback para a interface auto detectada. Se o servidor não conseguir associar a interface especificada na opção "listen_on", ele tentará detectar uma interface que se conecte com o mundo exterior e se associará a ela. Por padrão, esta opção está habilitada

    --enable-local-write, --disable-local-write
        Permitir que conexões locais não autenticadas façam alterações. Normalmente, se você não ativar a autenticação, o servidor operará no modo somente leitura, para não permitir que usuários anônimos façam alterações em suas bibliotecas de calibre. Essa opção permite que qualquer pessoa conecte-se no mesmo computador em que o servidor está sendo executado para fazer alterações. Isso é útil se você deseja executar o servidor sem autenticação, mas ainda usar o calibredb para fazer alterações em suas bibliotecas de calibre. Observe que ativar essa opção significa que qualquer programa em execução no computador pode fazer alterações em suas bibliotecas de calibre. Por padrão, esta opção está desabilitada

    --enable-log-not-found, --disable-log-not-found
        Registrar requisições HTTP 404 (Not Found). Por padrão, o servidor loga todas as requisições HTTP para recursos que não são encontrados. Isto pode gerar muito log indesejado se seu servidor for alvo de bots. Utilize essa opção para desativá-lo. Por padrão, esta opção está habilitada

    --enable-use-bonjour, --disable-use-bonjour
        Anunciar feeds OPDS via BonJour. Anuncia os feeds OPDS através do serviço BonJour, de maneira que os aplicativos de leitura baseados em OPDS possam detectar e conectar ao servidor automaticamente. Por padrão, esta opção está habilitada

    --enable-use-sendfile, --disable-use-sendfile
        Ativar ou desativar a transferência de arquivos zero-copy para aumento de performance. Isto usará transferências zero-copy no kernel ao enviar arquivos pela rede, aumentado a performance. Entretanto, pode causar transferência de arquivos corrompidas em alguns sistemas de arquivos falhos. Se você experimentar transferências de arquivos corrompidas, desative-o. Por padrão, esta opção está habilitada

    --help, -h
        mostrar esta mensagem de ajuda e sair

    --ignored-fields
        Campos de metadados definidos pelo usuário ignorados. Lista separada por vírgulas de campos de metadados definidos pelo usuário que não serão exibidos pelo servidor de conteúdo nas exibições de /opds e de /mobile. Por exemplo: my_rating,my_tags

    --listen-on
        A interface que escurará por conexões. O padrão é escutar em todas as interfaces IPv6 e IPv4 disponíveis. Você pode mudar isto para, por exemplo, "127.0.0.1" para somente escutar por conexões IPv4 da máquina local, ou para "0.0.0.0" para escutar por todas as conexões de entrada IPv4.

    --log
        Caminho para o arquivo de registros do servidor. Este arquivo contém informações e erros do servidor, não contém informações de acesso. Por padrão é escrito no stdout.

    --manage-users
        Gerencia a base de dados de usuários com permissão para conectar a este servidor. Você pode usá-lo no modo automatizado ao adicionar um --. Veja calibre-server --manage-users -- help para detalhes. Veja também a opção --userdb.

    --max-header-line-size
        Tamanho máximo de cabeçalho HTTP único (em KB).

    --max-job-time
        Tempo máximo para processos de trabalho. Quantidade máxima de tempo permitida para a execução dos processos de trabalho (em minutos). Defina para zero para não ter limite.

    --max-jobs
        Número máximo de processos de trabalho. Processos de trabalho são criados e utilizados conforme necessário para tarefas maiores como a preparação de um livro para exibição, adição de livros, conversão, etc. Por padrão, o número máximo de tais processos é baseado no número de núcleos da CPU. Você pode controlá-lo por meio desta opção.

    --max-log-size
        Tamanho máximo do arquivo de log (em MB). Tamanho máximo dos arquivos de log gerado pelo servidor. Quando o log se tornar maior que este tamanho, ele é rotacionado automaticamente. Defina para zero para desabilitar rotação de log.

    --max-opds-items
        Número máximo de livros nos feeds OPDS. Número máximo de livros retornados pelo servidor em uma única aquisição de feed OPDS.

    --max-opds-ungrouped-items
        Número máximo de itens desagrupados nos feeds OPDS. Agrupa itens em categorias como autor/etiquetas pela primeira letra quando houver mais que esse número de itens. Insira zero para desativar.

    --max-request-body-size
        Tamanho máximo de arquivos enviados ao servidor (em MB).

    --num-per-page
        Número de livros a serem exibidos em uma página. Número de livros a serem exibidos em uma página do navegador.

    --pidfile
        Escreva o processo com o PID para o arquivo especificado

    --port
        A porta que escutará por conexões.

    --search-the-net-urls
        Caminho para um arquivo JSON contendo URLs para a função "Pesquisar na internet". O jeito mais fácil de criar este arquivo é ir em Preferências->Compartilhar pela rede->Pesquisar na internet, criar as URLs e exportá-las.

    --shutdown-timeout
        Tempo total em segundos de espera para um encerramento limpo.

    --ssl-certfile
        Caminho para o arquivo de certificado SSL.

    --ssl-keyfile
        Caminho para o arquivo de chave privada SSL.

    --timeout
        Tempo (em segundos) de espera para que uma conexão ociosa seja fechada.

    --trusted-ips
        Permitir que conexões não autenticadas de endereços IP específicos façam alterações. Normalmente, se você não ativar a autenticação, o servidor opera no modo somente leitura, para não permitir que usuários anônimos façam alterações em suas bibliotecas do calibre. Esta opção permite que qualquer pessoa de enderenços IP específicos façam alterações. Deve ser um lista de endereços ou redes separada por vírgula. Isto é útil se você deseja executar o servidor sem autenticação mas ainda utilizar o calibredb para fazer alterações em sua suas bibliotecas do calibre. Observe que ativar essa opção significa que qualquer pessoa se conectando dos endereços IP especificados podem fazer alterações em suas bibliotecas do calibre.

    --url-prefix
        Um prefixo para adicionar à todas as URLs. Útil se você deseja rodar este servidor por meio de um proxy reverso.

    --userdb
        Caminho para o banco de dados do usuário usado para autenticação. O banco de dados é um arquivo SQLite. Para criá-lo use --manage-users. Você pode ler mais sobre como gerenciar usuários em: <https://manual.calibre-ebook.com/pt/server.html#managing-user-accounts-from-the-command-line-only>

    --version
        mostrar número da versão do programa e sair

    --worker-count
        Número de threads de trabalho utilizadas para processar requisições.

Author
Kovid Goyal

Copyright
Kovid Goyal